<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4
    class="modal-title"
    id="modal-basic-title"
    [innerText]="actionEnum.ExternalSignature | actionName">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>

<div class="modal-body">
  <form>
    <div class="form-group">
      <div>
        <form class="ls-form" [formGroup]="externalSignatureForm">
          <div class="form-group">
            <label
              for="firstname"
              class="required"
              [innerText]="messages.EXTERNAL_SIGNATURE_FORM_LABEL_FIRSTNAME"></label>
            <input
              id="firstname"
              type="text"
              class="form-control"
              formControlName="firstname">
          </div>
          <div class="form-group">
            <label
              for="lastname"
              class="required"
              [innerText]="messages.EXTERNAL_SIGNATURE_FORM_LABEL_LASTNAME"></label>
            <input
              type="text"
              id="lastname"
              class="form-control"
              formControlName="lastname">
          </div>
          <div class="form-group">
            <label
              for="mail"
              class="required"
              [innerText]="messages.EXTERNAL_SIGNATURE_FORM_LABEL_MAIL_ADDRESS"></label>
            <input
              type="text"
              id="mail"
              class="form-control"
              formControlName="mail">
          </div>
          <div class="form-group">
            <label
              for="phone"
              class="required"
              [innerText]="messages.EXTERNAL_SIGNATURE_FORM_LABEL_PHONE"></label>
            <input
              type="text"
              id="phone"
              class="form-control"
              formControlName="phone">
          </div>
        </form>
      </div>

      <app-metadata-form
        [tenantId]="tenantId"
        [(folders)]="folders"
        [performedAction]="performedAction"
        [(validationMetadataFormValid)]="validationMetadataFormValid">
      </app-metadata-form>
    </div>
  </form>
</div>

<div
  *ngIf="areAllFoldersInSignedState()"
  class="mx-3 mb-3 alert alert-info"
  role="alert">
  <p class="pt-3">
    <fa-icon
      class="pe-2"
      aria-hidden="true"
      [icon]="infoIcon">
    </fa-icon>
    {{ messages.EVERY_SIGNER_HAS_SIGNED }}
  </p>
  <p>
    {{ messages.TIME_THRESHOLD_INFO }}
    <br>
    {{ messages.FINISH_STEP_INFO }}
  </p>
</div>

<div class="modal-footer">
  <button
    ls-button-cancel
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
  <button
    *ngIf="areAllFoldersInFormState() || areAllFoldersInSignedState()"
    [disabled]="externalSignatureForm.invalid || isProcessing || !validationMetadataFormValid"
    [processing]="isProcessing"
    [text]="areAllFoldersInSignedState() ? commonMessages.FORCE_STEP_NOW : actionEnum.ExternalSignature | actionName:true"
    [icon]="actionEnum.ExternalSignature | actionIcon"
    [style]="styleEnum.NORMAL"
    (click)="submit()"
    ls-button-save>
  </button>
</div>
